Subject: bug#38644: 26.3; emacs uses 100% CPU with auto-revert-mode

From: Mattias Engdegård <[email-masked]>
Date: Sun, 5 Jan 2020 20:57:42 +0100

5 jan. 2020 kl. 20.31 skrev Peter Ludemann <[email-masked]>:

> Which version of Emacs would you like me to try this with? And what result are you expecting/hoping to see? (e.g., might it reduce the current 30-80% CPU load for polling with emacs 28.0.50?) There are only a few open files directly under /tmp, so would this have any effect or does it propagate down to subdirectories?
> 
> [Also, I'd need a few more details (not being an emacs-internals person) ... should I add this to my .emacs and restart, or execute in a scratch buffer, or ...?]

'auto-revert-avoid-polling' is a single global customisable variable, so you would set it using

 M-x customise-variable RET auto-revert-avoid-polling RET

, then turn it on and apply the change. I believe it was introduced in Emacs 27.

The idea is to save CPU by not having to look at files periodically to see if they have changed. I have no idea if you would see any improvement at all, but it shouldn't make anything worse.